package com.tongran.rocketmq.domain;

import lombok.Data;
import java.util.HashMap;
import java.util.Map;

/**
 * IoTDB数据包装类
 */
@Data
public class IotDbData {
    private String dataType;     // 数据类型: server, switch, router
    private String deviceId;     // 设备标识
    private String tag;          // 标签: 网卡名、端口名等
    private long timestamp;      // 时间戳
    private Map<String, Object> dataMap = new HashMap<>(); // 数据字段

    public IotDbData addField(String key, Object value) {
        dataMap.put(key, value);
        return this;
    }
}